Subject: Re: HPUX 10.x VT100 problems with vi, pine, etc

From: [email-masked] (Doug Siebert)
Date: 2 Sep 1996 01:59:35 GMT

[email-masked] (John F. Sandhoff) writes:

>Ah, good 'ol HP. At 10.x, they redefined the definition of what a VT100
>looks like ('vt100 as defined by DEC vt420'), adding loads of new
>definitions. Now, maybe a real VT100 is capable of all these nifty things,
>but lots of the 'real world' emulators can't handle it all. Most notably to
>us was that vi couldn't delete chars from the middle of a line, and neither
>could pico or pine...

Egads, I've seen this problems with HP-UX 10.10, and I assumed it was bugs
in HP's curses library, since they seem to have made some fairly big changes
there for 10.x.  Since I had more important stuff going on from the 10.x
upgrade, and other changes, I hadn't really put any effort into looking into
this yet.  But I never thought to check the terminfo definitions...

Hey HP, you _really_ should change it back to how it was, I've had a lot of
users using PC VT100 emulation software from home complaining about emacs,
vi, pine, lynx, ncftp, etc.  I know that at least some of was fixed by my
trying this simple fix.  Not working with standard PC terminal emulators is
going to make people think that HP's quality is at fault, not the authors of
the terminal emulators.  Yes yes, I know, standards compliance and all that,
but sometimes standards are determined by what is really out there, not what
some ANSI standard document claims!

If it isn't changed, I suspect it'll become one of those things that HP admins
who know what they are doing do to systems after they are installed as a
matter of course, while less knowledgeable admins will not know why their HP
systems behave this way.  And its these sort of details that cause people to
prefer one sort of Unix system over another.

-- 
Douglas Siebert                Director of Computing Facilities
[email-masked]      Division of Mathematical Sciences, U of Iowa

"It is easier to apologize than to get permission"  -- Grace Hopper